public class DemoPrimes {

   void getPrimesI(int x) {
      int d = 2;
      while (d < x) {
         while (d < x && x % d != 0) {
            d++;
         }
         System.out.print(d + " ");
         x = x / d;
      }
   }

   void getPrimesR(int x, int d) {
      if (d < x) {
         while (d < x && x % d != 0) {
            d++;
         }
         System.out.print(d + " ");
         getPrimesR(x / d, d);
      }
   }

   void start(int n) {
      System.out.println("Decomposition of "  + n + " to primies");
      System.out.print("Iterative algorithm: ");
      getPrimesI(n);
      System.out.println("");
      System.out.print("Recursive algorithm: ");
      getPrimesR(n, 2);
      System.out.println("");
   }

   public static void main(String[] args) {
      DemoPrimes demo = new DemoPrimes();
      int n = args.length > 0 ? Integer.parseInt(args[0]) : 60;
      demo.start(n);
   }

}
